### Name: jit
### Title: Just-in-time compilation
### Aliases: jit
### Keywords: programming

### ** Examples

foo <- function(N, jit.flag) {
    jit(jit.flag)
    x <- 0
    for (i in 1:N)
       x <- x + 1
    x
}
N = 1e6
time.nojit <- system.time(foo(N, jit.flag=0))[1]
time.jit   <- system.time(foo(N, jit.flag=1))[1]
cat("Time ratio", time.jit / time.nojit, "\n")
jit(0)



